Skip to main content
PATCH
/
api
/
knowledge
/
{doc_uid}
Update knowledge document
curl --request PATCH \
  --url https://dev.exante.app/api/knowledge/{doc_uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>"
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "filename": "<string>",
    "filesize_in_mb": 123,
    "timestamp": "2023-11-07T05:31:56Z",
    "archived": true,
    "organization_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "bucket_provider": "<string>"
  }
}
Update a knowledge document’s filename. Archived documents can also be updated.

Query parameters

ParameterTypeRequiredDescription
organizationUUIDyesOrganization UUID

Request

{
  "filename": "w9_acme_corp_2026.pdf"
}
FieldTypeRequiredDescription
filenamestringnoNew filename (1-512 characters)

Response

{
  "status": "success",
  "status_code": 200,
  "message": "Knowledge document updated successfully",
  "data": {
    "uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "filename": "w9_acme_corp_2026.pdf",
    "filesize_in_mb": 0.8,
    "timestamp": "2026-03-15T14:30:00+00:00",
    "archived": false,
    "organization_uid": "550e8400-e29b-41d4-a716-446655440000",
    "bucket_provider": "AWS"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

doc_uid
string<uuid>
required

Query Parameters

organization
string<uuid>
required

Body

application/json
filename
string

New filename for the document

Required string length: 1 - 255

Response

Knowledge document updated

status
string
Example:

"success"

message
string
data
object